/* ================= HERO ================= */
.project-hero {
    height: 90vh;
    background: url("pictures/pine-plant") center/cover no-repeat;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
}

.project-overlay {
    position: absolute;
    inset: 0;
    background: linear-gradient(to bottom,
            rgba(0, 0, 0, 0.4),
            rgba(6, 32, 23, 0.822));
}

.project-hero-content {
    position: relative;
    text-align: center;
}

.project-hero-content h1 {
    font-size: 3rem;
    color: var(--primary);
}

.project-hero-content p {
    color: var(--text-muted);
    font-size: 1.2rem;
}

/* ================= CONTAINER ================= */
.container {
    max-width: 1100px;
    margin: auto;
    line-height: 1.8;
}

/* ================= SPLIT LAYOUT ================= */
.split {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 60px;
    flex-wrap: wrap;
}

/* TEXT SIDE */
/* PROJECT OVERVIEW */
.text-side {
    flex: 1;
    min-width: 350px;
}

.image-side {
    flex: 1;
    display: flex;
    justify-content: center;
}

.pine-image {
    width: 100%;
    max-width: 500px;
    border-radius: 15px;
    object-fit: cover;
    transition: 0.3s;
    box-shadow: 0 0 25px rgba(212, 175, 55, 0.2);
}

.pine-image:hover {
    transform: translateY(-8px);
    box-shadow: 0 0 30px rgba(212, 175, 55, 0.4);
}

.project-image {
    width: 100%;
    max-width: 500px;
    border-radius: 15px;
    object-fit: cover;
    transition: 0.3s;
    box-shadow: 0 0 25px rgba(212, 175, 55, 0.2);
}

.project-image:hover {
    transform: translateY(-8px);
    box-shadow: 0 0 30px rgba(212, 175, 55, 0.4);
}


.image-side {
    flex: 1;
    display: flex;
    justify-content: center;
    gap: 60px;
}

/* ================= IMPACT ================= */
.impact-grid {
    display: flex;
    justify-content: center;
    gap: 60px;
    margin-top: 40px;
    flex-wrap: wrap;
}

.impact-grid h2 {
    color: var(--primary);
    font-size: 2.5rem;
}

.text-side {
    flex: 1;
    min-width: 300px;
}

.image-side {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
}

/* ================= MOBILE ================= */

@media (max-width: 768px) {

    .split {
        flex-direction: column;
        gap: 30px;
    }

    .text-side {
        width: 100%;
        min-width: auto;
        text-align: center;
    }

    .image-side {
        width: 100%;
        order: 2;
    }

    .pine-image,
    .project-image {
        width: 100%;
        max-width: 100%;
    }

    .project-hero-content h1 {
        font-size: 2rem;
    }

    .project-hero-content p {
        font-size: 1rem;
    }

    .impact-grid {
        flex-direction: column;
        text-align: center;
        gap: 30px;
    }
}